# Packages

## Installation Packages and Jar files

|Software|Packages|
|-|-|
|Server|[RPM(CentOS 7), DEB(Ubuntu 18), RPM(openSUSE Leap 15)](https://github.com/griddb/griddb/releases/tag/v4.5.0)|
|JDBC Driver|[Maven](https://mvnrepository.com/artifact/com.github.griddb/gridstore-jdbc/4.5.0.1)|
|Java Client|[Maven](https://mvnrepository.com/artifact/com.github.griddb/gridstore/4.5.0)|
|[C Client](https://github.com/griddb/c_client)|[RPM(CentOS 7), DEB(Ubuntu 18)](https://software.opensuse.org/download/package?project=home:knonomura&package=griddb-c-client)|
||[RPM(openSUSE Leap 15)](https://software.opensuse.org/download/package?project=home:knonomura&package=griddb-c-client-devel)|
||[MSI(Windows 10)](https://github.com/griddb/c_client/releases/tag/v4.5.0)|
|[Python Client](https://github.com/griddb/python_client)|[WHL(CentOS 7, Ubuntu 18)](https://pypi.org/project/griddb-python/)|
|[Node.JS Client](https://github.com/griddb/nodejs_client)|[npm(CentOS 7, Ubuntu 18)](https://www.npmjs.com/package/griddb_node)|
|[PHP Client](https://github.com/griddb/php_client)|[Packagist(CentOS 7)](https://packagist.org/packages/griddb/php-client)|
|[WebAPI](https://github.com/griddb/webapi)|[Jar](https://github.com/griddb/webapi/releases/tag/2.2.0)|

## Docker Images(CentOS 7)

Please refer to [GitHub Packages](https://github.com/knonomura/griddb-docker/packages) and [Dockerfile samples](https://github.com/knonomura/griddb-docker) .

|IMAGE|Description|
|-|-|
|griddb-nosql| Install and start GridDB Server (V4.3)|
|java-client| Install GridDB Java Client and build, run a sample program|
|c-client| Install GridDB C Client and build, run a sample program|
|python-client| Install GridDB Python Client and run a sample program|
|nodejs-client| Install GridDB Node.JS Client and run a sample program|
|go-client| Install GridDB Go Client and run a sample program|
|php-client| Install GridDB PHP Client and run a sample program|
|webapi| Install and start GridDB WebAPI daemon|
